package com.yunzhi.marketing.broker.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="BkInviteRecord对象", description="经济人邀请记录")
public class BkInviteRecord implements Serializable {
    /** ID */
    @ApiModelProperty(name = "ID",notes = "")
    @TableId(value = "invite_id", type = IdType.AUTO)
    private Integer inviteId ;
    /** 经纪人ID */
    @ApiModelProperty(name = "经纪人ID",notes = "")
    private String personId ;
    /** 经纪人名称 */
    @ApiModelProperty(name = "经纪人名称",notes = "")
    private String personName ;
    /** 被邀请人ID */
    @ApiModelProperty(name = "被邀请人ID",notes = "")
    private String invitePersonId ;
    /** 被邀请人名称 */
    @ApiModelProperty(name = "被邀请人名称",notes = "")
    private String invitePersonName ;
    /** 推荐金额 */
    @ApiModelProperty(name = "推荐金额",notes = "")
    private Integer referralFee ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;
}
