package com.yunzhi.marketing.excel.searchHouse;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class AddedValue {

    @ColumnWidth(15)
    @ExcelProperty(value = "姓名", index = 0)
    private String nickname;

    @ColumnWidth(15)
    @ExcelProperty(value = "电话", index = 1)
    private String phone;

    @ColumnWidth(15)
    @ExcelProperty(value = "性别", index = 2)
    private String gender;

    @ColumnWidth(15)
    @ExcelProperty(value = "意向区域", index = 3)
    private String name;


    @ColumnWidth(15)
    @ExcelProperty(value = "客户预算", index = 4)
    private String maxPrice;


    @ColumnWidth(15)
    @ExcelProperty(value = "房屋现状", index = 5)
    private String houseStatus;


    @ColumnWidth(15)
    @ExcelProperty(value = "房屋面积", index = 6)
    private String area;


    @ColumnWidth(15)
    @ExcelProperty(value = "家装模式", index = 7)
    private String type;


    @ColumnWidth(15)
    @ExcelProperty(value = "家装侧重点", index = 8)
    private String important;

    @ColumnWidth(15)
    @ExcelProperty(value = "家装风格", index = 9)
    private String style;

    @ColumnWidth(15)
    @ExcelProperty(value = "关键诉求", index = 10)
    private String mostImportant;

    @ColumnWidth(15)
    @ExcelProperty(value = "特殊功能区", index = 11)
    private String special;

    @ColumnWidth(15)
    @ExcelProperty(value = "是否智能家居", index = 12)
    private String samrt;

    @ColumnWidth(15)
    @ExcelProperty(value = "提交时间", index = 13)
    private String createdTime;

}
