package com.yunzhi.marketing.xlk.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 项目动态表 
 * </p>
 *
 * @author jobob
 * @since 2021-07-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("xlk_trend")
public class TrendDTO implements Serializable {

    /**
     * 动态时间
     */
    private LocalDateTime trendTime;

    /**
     * 动态标题
     */
    private String trendTitle;

    /**
     * 动态内容
     */
    private String trendContent;

    /**
     * 楼盘id
     */
    private String buildingId;


}
