package com.yunzhi.marketing.broker.mapper;

import com.yunzhi.marketing.broker.entity.BkAccountRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 经纪人佣金流水 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-07-26
 */
@Mapper
public interface BkAccountRecordMapper extends BaseMapper<BkAccountRecord> {

    Integer getTotalChargesBy(@Param("channelCustomerId") String channelCustomerId,
                              @Param("chargeCode") String chargeCode);

    BkAccountRecord getRecordBy(@Param("channelCustomerId") String channelCustomerId,
                                @Param("chargeCode") String chargeCode);
}
