package com.yunzhi.marketing.broker.mapper;

import com.yunzhi.marketing.broker.entity.BkBankCard;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 经纪人银行卡信息 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-07-26
 */
@Mapper
public interface BkBankCardMapper extends BaseMapper<BkBankCard> {

    List<BkBankCard> getListByBroker(@Param("personId") String personId);
}
