package com.yunzhi.marketing.broker.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.marketing.broker.entity.BkInviteRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


/**
 * 经济人邀请记录;(bk_invite_record)表数据库访问层
 * @author : http://www.chiner.pro
 * @date : 2022-8-4
 */
@Mapper
public interface BkInviteRecordMapper  extends BaseMapper<BkInviteRecord>{
    BkInviteRecord getByPerson(@Param("personId") String personId, @Param("invitePersonId") String invitePersonId);

    int createBy(@Param("personId") String personId, @Param("invitePersonId") String invitePersonId);
}