package com.yunzhi.marketing.broker.mapper;

import com.yunzhi.marketing.broker.entity.BkNotice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 通知公告 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-07-26
 */
@Mapper
public interface BkNoticeMapper extends BaseMapper<BkNotice> {

    BkNotice getByPerson(@Param("noticeType") String noticeType,
                         @Param("personId") String personId,
                         @Param("customerId") String customerId);
}
