package com.yunzhi.marketing.broker.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.marketing.broker.entity.BkAgentRule;
import com.yunzhi.marketing.broker.mapper.BkAgentRuleMapper;
import com.yunzhi.marketing.broker.service.IBkAgentRuleService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 经纪人规则 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-07-26
 */
@Service
public class BkAgentRuleServiceImpl extends ServiceImpl<BkAgentRuleMapper, BkAgentRule> implements IBkAgentRuleService {

    @Override
    public BkAgentRule getByOrgId(Integer orgId, Integer status) {
        return baseMapper.getByOrgId(orgId, status);
    }
}
