package com.yunzhi.marketing.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

@Data
public class IntentionUser {

    /**
     * 用户姓名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "用户姓名", index = 0)
    private String personName;

    /**
     * 手机号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "手机号", index = 1)
    private String phone;

    /**
     * 意向楼盘
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "意向楼盘", index = 2)
    private String buildingName;

    /**
     * 意向值
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "意向值", index = 3)
    private Integer intention;

    /**
     * 归属地
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "归属地", index = 4)
    private String province;

    /**
     * 置业顾问
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "置业顾问", index = 5)
    private String realtyConsultant;

    /**
     * 置业顾问电话
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "置业顾问电话", index = 6)
    private String realtyConsultantPhone;

//    /**
//     * 分享者
//     */
//    @ColumnWidth(15)
//    @ExcelProperty(value = "分享者", index = 7)
//    private String sharePersonName;
//
//    /**
//     * 分享者电话
//     */
//    @ColumnWidth(15)
//    @ExcelProperty(value = "分享者电话", index = 8)
//    private String sharePersonPhone;

    /**
     * 性别
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "性别", index = 7)
    private String gender;

    /**
     * 来源
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "用户来源", index = 8)
    private String personFrom;

    /**
     * 推广人
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "推广人", index = 9)
    private String recommendPerson;

}
