package com.yunzhi.marketing.excel.searchHouse;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class Rent {


    @ColumnWidth(15)
    @ExcelProperty(value = "姓名", index = 0)
    private String nickname;

    @ColumnWidth(15)
    @ExcelProperty(value = "电话", index = 1)
    private String phone;

    @ColumnWidth(15)
    @ExcelProperty(value = "性别", index = 2)
    private String gender;

    @ColumnWidth(15)
    @ExcelProperty(value = "意向区域", index = 3)
    private String name;


    @ColumnWidth(15)
    @ExcelProperty(value = "购房预算", index = 4)
    private String maxPrice;


    @ColumnWidth(15)
    @ExcelProperty(value = "租房偏好", index = 5)
    private String preference;


    @ColumnWidth(15)
    @ExcelProperty(value = "居室要求", index = 6)
    private String layout;

    @ColumnWidth(15)
    @ExcelProperty(value = "其他要求", index = 7)
    private String purpose;

    @ColumnWidth(15)
    @ExcelProperty(value = "客户备注", index = 8)
    private String remark;

    @ColumnWidth(15)
    @ExcelProperty(value = "提交时间", index = 9)
    private String createdTime;

}
